## Search Workers `client.workers.scripts.search(ScriptSearchParamsparams, RequestOptionsoptions?): ScriptSearchResponse` **get** `/accounts/{account_id}/workers/scripts-search` Search for Workers in an account. ### Parameters - `params: ScriptSearchParams` - `account_id: string` Path param: Identifier. - `id?: string` Query param: Worker ID (also called tag) to search for. Only exact matches are returned. - `name?: string` Query param: Worker name to search for. Both exact and partial matches are returned. - `order_by?: "created_on" | "modified_on" | "name"` Query param: Property to sort results by. Results are sorted in ascending order. - `"created_on"` - `"modified_on"` - `"name"` - `page?: number` Query param: Current page. - `per_page?: number` Query param: Items per page. ### Returns - `ScriptSearchResponse = Array` - `id: string` Identifier. - `created_on: string` When the script was created. - `modified_on: string` When the script was last modified. - `script_name: string` Name of the script, used in URLs and route configuration. - `environment_is_default?: boolean` Whether the environment is the default environment. - `environment_name?: string` Name of the environment. - `service_name?: string` Name of the service. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.workers.scripts.search({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "created_on": "2017-01-01T00:00:00Z", "modified_on": "2017-01-01T00:00:00Z", "script_name": "this-is_my_script-01", "environment_is_default": true, "environment_name": "production", "service_name": "my-service" } ], "success": true, "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```